---
import UnloggedLayout from "@/shared/layouts/UnloggedLayout.astro";
import { Image } from "astro:assets";

interface Props {
  title: string;
}

const { title } = Astro.props;
---

<UnloggedLayout title={title}>
  <section class="relative flex h-full w-full">
    <article class="flex items-center justify-center h-full w-full lg:w-1/3">
      <slot />
    </article>
    <article
      class={`
        absolute top-0 bottom-0 right-0 flex items-center justify-center duration-1000 
        opacity-0 lg:static lg:opacity-100  h-full w-full lg:w-2/3 pointer-events-none
      `}
    >
      <Image src="/auth-background.png" width={600} height={600} alt="Authentication image" />
    </article>
  </section>
</UnloggedLayout>
